intel-microcode (3.20260210.0ubuntu0.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20260210
    - New microcodes:
      sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
      sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
      sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
      sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
      sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
      sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
      sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
      sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
      sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
      sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
      sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
      sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
      sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
      sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
      sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
      sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    - CVE-2025-31648 (INTEL-SA-01396)
  * source: update symlinks to reflect id of the latest release, 20260210
  * changelog: sync with debian 3.20260210.1 for content consistency

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 11:02:57 -0300

intel-microcode (3.20250812.0ubuntu0.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20250812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367)

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 28 Oct 2025 15:24:30 -0300

intel-microcode (3.20250512.1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 May 2025 09:08:39 -0400

intel-microcode (3.20250512.1) unstable; urgency=high

  * New upstream microcode datafile 20250512 (closes: #1105172)
    - Mitigations for INTEL-SA-01153 (ITS: Indirect Target Selection):
      CVE-2024-28956: Processor may incompletely mitigate Branch Target
      Injection due to indirect branch predictions that are not fully
      constrained by eIBRS nor by the IBPB barrier.  Part of the "Training
      Solo" set of vulnerabilities.
    - Mitigations for INTEL-SA-01244:
      CVE-2025-20103: Insufficient resource pool in the core management
      mechanism for some Intel Processors may allow an authenticated user
      to potentially enable denial of service via local access.
      CVE-2025-20054: Uncaught exception in the core management mechanism
      for some Intel Processors may allow an authenticated user to
      potentially enable denial of service via local access.
    - Mitigations for INTEL-SA-01247:
      CVE-2024-43420, CVE-2025-20623: Exposure of sensitive information
      caused by shared microarchitectural predictor state that influences
      transient execution for some Intel Atom and some Intel Core
      processors (10th Generation) may allow an authenticated user to
      potentially enable information disclosure via local access.
      CVE-2024-45332 (Branch Privilege Injection): Exposure of sensitive
      information caused by shared microarchitectural predictor state that
      influences transient execution in the indirect branch predictors for
      some Intel Processors may allow an authenticated user to potentially
      enable information disclosure via local access.
    - Mitigations for INTEL-SA-01322:
      CVE-2025-24495 (Training Solo): Incorrect initialization of resource
      in the branch prediction unit for some Intel Core Ultra Processors
      may allow an authenticated user to potentially enable information
      disclosure via local access (IBPB bypass)
      CVE-2025-20012 (Training Solo): Incorrect behavior order for some
      Intel Core Ultra Processors may allow an unauthenticated user to
      potentially enable information disclosure via physical access.
    - Improved fix for the Vmin Shift Instability for the Intel Core 13th
      and 14th gen processors under low-activity scenarios (sig 0xb0671).
      This microcode update is supposed to be delivered as a system
      firmware update, but according to Intel it should be effective when
      loaded by the operating system if the system firmware has revision
      0x12e.
    - Fixes for unspecified functional issues on several processor models
  * New microcodes or new extended signatures:
    sig 0x000a06d1, pf_mask 0x95, 2025-02-07, rev 0x10003a2, size 1664000
    sig 0x000a06d1, pf_mask 0x20, 2025-02-07, rev 0xa0000d1, size 1635328
    sig 0x000b0650, pf_mask 0x80, 2025-03-18, rev 0x000a, size 136192
    sig 0x000b06d1, pf_mask 0x80, 2025-03-18, rev 0x011f, size 79872
    sig 0x000c0662, pf_mask 0x82, 2025-03-20, rev 0x0118, size 90112
    sig 0x000c06a2, pf_mask 0x82, 2025-03-20, rev 0x0118
    sig 0x000c0652, pf_mask 0x82, 2025-03-20, rev 0x0118
    sig 0x000c0664, pf_mask 0x82, 2025-03-20, rev 0x0118
  * Updated microcodes:
    sig 0x00050657, pf_mask 0xbf, 2024-12-12, rev 0x5003901, size 39936
    sig 0x0005065b, pf_mask 0xbf, 2024-12-12, rev 0x7002b01, size 30720
    sig 0x000606a6, pf_mask 0x87, 2025-01-07, rev 0xd000404, size 309248
    sig 0x000606c1, pf_mask 0x10, 2025-01-07, rev 0x10002d0, size 300032
    sig 0x000706a8, pf_mask 0x01, 2024-12-05, rev 0x0026, size 76800
    sig 0x000706e5, pf_mask 0x80, 2025-01-07, rev 0x00ca, size 115712
    sig 0x000806c1, pf_mask 0x80, 2024-12-01, rev 0x00bc, size 112640
    sig 0x000806c2, pf_mask 0xc2, 2024-12-01, rev 0x003c, size 99328
    sig 0x000806d1, pf_mask 0xc2, 2024-12-11, rev 0x0056, size 105472
    sig 0x000806ec, pf_mask 0x94, 2024-11-17, rev 0x0100, size 106496
    sig 0x000806f8, pf_mask 0x87, 2025-01-28, rev 0x2b000639, size 591872
    sig 0x000806f7, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f6, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f5, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f4, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f8, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7, size 624640
    sig 0x000806f6, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x000806f5, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x000806f4, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x00090672, pf_mask 0x07, 2024-12-12, rev 0x003a, size 226304
    sig 0x00090675, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f2, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f5, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f6, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f7, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000906a3, pf_mask 0x80, 2024-12-12, rev 0x0437, size 224256
    sig 0x000906a4, pf_mask 0x80, 2024-12-12, rev 0x0437
    sig 0x000906a4, pf_mask 0x40, 2024-12-06, rev 0x000a, size 119808
    sig 0x000906ed, pf_mask 0x22, 2024-11-14, rev 0x0104, size 106496
    sig 0x000a0652, pf_mask 0x20, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0653, pf_mask 0x22, 2024-11-14, rev 0x0100, size 98304
    sig 0x000a0655, pf_mask 0x22, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0660, pf_mask 0x80, 2024-11-14, rev 0x0102, size 98304
    sig 0x000a0661, pf_mask 0x80, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0671, pf_mask 0x02, 2024-12-01, rev 0x0064, size 108544
    sig 0x000a06a4, pf_mask 0xe6, 2025-02-13, rev 0x0024, size 140288
    sig 0x000a06f3, pf_mask 0x01, 2025-02-10, rev 0x3000341, size 1542144
    sig 0x000b0671, pf_mask 0x32, 2025-03-17, rev 0x012f, size 219136
    sig 0x000b0674, pf_mask 0x32, 2025-03-17, rev 0x012f
    sig 0x000b06a2, pf_mask 0xe0, 2025-01-15, rev 0x4128, size 224256
    sig 0x000b06a3, pf_mask 0xe0, 2025-01-15, rev 0x4128
    sig 0x000b06a8, pf_mask 0xe0, 2025-01-15, rev 0x4128
    sig 0x000b06e0, pf_mask 0x19, 2024-12-06, rev 0x001d, size 139264
    sig 0x000c06f2, pf_mask 0x87, 2025-03-14, rev 0x210002a9, size 563200
    sig 0x000c06f1, pf_mask 0x87, 2025-03-14, rev 0x210002a9
  * Removed microcodes (ES/QS steppings):
    sig 0x00050656, pf_mask 0xbf, 2023-07-28, rev 0x4003605, size 38912
    sig 0x000c06f1, pf_mask 0x87, 2025-03-14, rev 0x210002a9 [EXCLUDED]
  * Makefile: exclude QS/ES steppings 0x50656, 0xc06f1.
  * Makefile: add targets to create split F-M-S /lib/firmware dir
  * debian/rules: use new intel-ucode-{fw,fw64} Makefile targets
    Removes from the binary package the F-M-S files for extended signatures
    that were excluded by IUC_EXCLUDE.
  * source: update symlinks to reflect id of the latest release, 20250512

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 May 2025 01:35:08 -0300

intel-microcode (3.20250211.1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Alex Murray <alex.murray@canonical.com>  Tue, 25 Feb 2025 13:45:25 +1030

intel-microcode (3.20250211.1) unstable; urgency=medium

  * New upstream microcode datafile 20250211 (closes: #1095805)
    - Mitigations for INTEL-SA-01166 (CVE-2024-31068)
      Improper Finite State Machines (FSMs) in Hardware Logic for some Intel
      Processors may allow privileged user to potentially enable denial of
      service via local access.
    - Mitigations for INTEL-SA-01213 (CVE-2024-36293)
      Improper access control in the EDECCSSA user leaf function for some
      Intel Processors with Intel SGX may allow an authenticated user to
      potentially enable denial of service via local access.  Intel disclosed
      that some 9th Generation Intel Core processor models were already fixed
      by a previous microcode update.
    - Mitigations for INTEL-SA-01139 (CVE-2023-43758, CVE-2023-34440,
      CVE-2024-24582, CVE-2024-29214, CVE-2024-28127, CVE-2024-39279,
      CVE-2024-31157, CVE-2024-28047)
      Improper input validation, insufficient granularity of access control,
      and improper initialization issues in UEFI firmware for some Intel
      processors may allow escalation of privilege, denial of service, or
      information disclosure.  An UEFI firmware update is needed for complete
      mitigation.
    - Mitigations for INTEL-SA-01228 (CVE-2024-39355)
      Improper handling of physical or environmental conditions in some 13th
      and 14th Generation Intel Core Processors may allow an authenticated
      user to enable denial of service via local access.  An UEFI firmware
      update may be required for complete mitigation.
    - Mitigations for INTEL-SA-01194 (CVE-2024-37020)
      Sequence of processor instructions leads to unexpected behavior in the
      Intel DSA V1.0 for some Intel Xeon Processors may allow an authenticated
      user to potentially enable denial of service via local access.
    - Fixes for unspecified functional issues on several processor models
  * New microcodes or new extended signatures:
    sig 0x000a06f3, pf_mask 0x01, 2024-11-22, rev 0x3000330, size 1533952
    sig 0x000b06f6, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x000b06f7, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x000b0674, pf_mask 0x32, 2024-09-25, rev 0x012c, size 211968
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2024-08-02, rev 0xd0003f5, size 308224
    sig 0x000606c1, pf_mask 0x10, 2024-08-08, rev 0x10002c0, size 300032
    sig 0x000806f8, pf_mask 0x87, 2024-07-30, rev 0x2b000620, size 589824
    sig 0x000806f7, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f6, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f5, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f4, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f8, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0, size 622592
    sig 0x000806f6, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x000806f5, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x000806f4, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x00090672, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x00090675, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000b06f2, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000b06f5, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000906a3, pf_mask 0x80, 2024-08-01, rev 0x0436, size 223232
    sig 0x000906a4, pf_mask 0x80, 2024-08-01, rev 0x0436
    sig 0x000906a4, pf_mask 0x40, 2024-07-29, rev 0x0009, size 119808
    sig 0x000906ea, pf_mask 0x22, 2024-07-28, rev 0x00fa, size 105472
    sig 0x000906ed, pf_mask 0x22, 2024-07-31, rev 0x0102, size 106496
    sig 0x000a0671, pf_mask 0x02, 2024-08-01, rev 0x0063, size 108544
    sig 0x000b0671, pf_mask 0x32, 2024-09-25, rev 0x012c, size 211968
    sig 0x000b06a2, pf_mask 0xe0, 2024-07-31, rev 0x4124, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-07-31, rev 0x4124
    sig 0x000b06a8, pf_mask 0xe0, 2024-07-31, rev 0x4124
    sig 0x000b06e0, pf_mask 0x19, 2024-09-06, rev 0x001c, size 138240
    sig 0x000c06f2, pf_mask 0x87, 2024-07-30, rev 0x21000291, size 560128
    sig 0x000c06f1, pf_mask 0x87, 2024-07-30, rev 0x21000291
  * source: update symlinks to reflect id of the latest release, 20250211
  * Update changelog for 3.20240813.1 with new information

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 16 Feb 2025 18:34:38 -0300

intel-microcode (3.20241112.1ubuntu2) plucky; urgency=medium

  * Add dracut and tiny-initramfs as alternative recommends
    (Closes: #1088079).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 14:57:31 -0600

intel-microcode (3.20241112.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the early2 initramfs so test for its
      presence in any early
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
  * debian/tests/initramfs: invoke update-initramfs with -c to ensure an
    initrd is generated if one does not already exist so that the rest of
    the test can proceed as expected

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Nov 2024 15:31:16 +1030

intel-microcode (3.20241112.1) unstable; urgency=medium

  * New upstream microcode datafile 20241112 (closes: #1086483)
    - Mitigations for INTEL-SA-01101 (CVE-2024-21853)
      Improper Finite State Machines (FSMs) in the Hardware logic in some
      4th and 5th Generation Intel Xeon Processors may allow an authorized
      user to potentially enable denial of service via local access.
    - Mitigations for INTEL-SA-01079 (CVE-2024-23918)
      Potential security vulnerabilities in some Intel Xeon processors
      using Intel SGX may allow escalation of privilege.  Intel disclosed
      that some processor models were already fixed by a previous
      microcode update.
    - Updated mitigations for INTEL-SA-01097 (CVE-2024-24968)
      Improper finite state machines (FSMs) in hardware logic in some
      Intel Processors may allow an privileged user to potentially enable a
      denial of service via local access.
    - Mitigations for INTEL-SA-01103 (CVE-2024-23984)
      A potential security vulnerability in the Running Average Power Limit
      (RAPL) interface for some Intel Processors may allow information
      disclosure.  Added mitigations for more processor models.
  * Updated Microcodes:
    sig 0x000806f8, pf_mask 0x87, 2024-06-20, rev 0x2b000603, size 588800
    sig 0x000806f7, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f6, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f5, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f4, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x00090672, pf_mask 0x07, 2024-05-29, rev 0x0037, size 224256
    sig 0x00090675, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000b06f2, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000b06f5, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000906a3, pf_mask 0x80, 2024-06-03, rev 0x0435, size 223232
    sig 0x000906a4, pf_mask 0x80, 2024-06-03, rev 0x0435
    sig 0x000a06a4, pf_mask 0xe6, 2024-08-02, rev 0x0020, size 138240
    sig 0x000b06a2, pf_mask 0xe0, 2024-05-29, rev 0x4123, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-05-29, rev 0x4123
    sig 0x000b06a8, pf_mask 0xe0, 2024-05-29, rev 0x4123
    sig 0x000c06f2, pf_mask 0x87, 2024-06-20, rev 0x21000283, size 560128
    sig 0x000c06f1, pf_mask 0x87, 2024-06-20, rev 0x21000283
  * source: update symlinks to reflect id of the latest release, 20241112
  * Update changelog for 3.20240910.1 and 3.20240813.1 with new information:
    INTEL-SA-1103 was addressed by 3.20240813.1 for some processor models,
    and not by 3.20240910. INTEL-SA-1079 was addressed by 3.20240910.1 for
    some processor models.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 14 Nov 2024 15:37:40 -0300

intel-microcode (3.20241029.1) UNRELEASED; urgency=medium

  * New upstream microcode datafile 20241029
    - Not relevant for operating system microcode updates
    - Only when loaded from firmware, this update fixes the critical,
      potentially hardware-damaging errata RPL061: Incorrect Internal
      Voltage Request on Raptor Lake (Core 13th/14th gen) Intel
      processors.
  * Updated Microcodes:
    sig 0x000b0671, pf_mask 0x32, 2024-08-29, rev 0x012b, size 211968

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 14 Nov 2024 14:49:03 -0300

intel-microcode (3.20240910.1) unstable; urgency=medium

  * New upstream microcode datafile 20240910 (closes: #1081363)
    - Mitigations for INTEL-SA-01097 (CVE-2024-24968)
      Improper finite state machines (FSMs) in hardware logic in some
      Intel Processors may allow an privileged user to potentially enable a
      denial of service via local access.
    - Fixes for unspecified functional issues on several processor models
    - The processor voltage limit issue on Core 13rd/14th gen REQUIRES A
      FIRMWARE UPDATE.  It is present in this release for sig 0xb0671, but
      THE VOLTAGE ISSUE FIX ONLY WORKS WHEN THE MICROCODE UPDATE IS LOADED
      THROUGH THE FIT TABLE IN FIRMWARE.  Contact your system vendor for a
      firmware update that includes the appropriate microcode update for
      your processor.
  * Updated Microcodes:
    sig 0x00090672, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
    sig 0x00090675, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000b06f2, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000b06f5, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000906a3, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
    sig 0x000906a4, pf_mask 0x80, 2024-02-22, rev 0x0434
    sig 0x000a06a4, pf_mask 0xe6, 2024-06-17, rev 0x001f, size 137216
    sig 0x000b0671, pf_mask 0x32, 2024-07-18, rev 0x0129, size 215040
    sig 0x000b06a2, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-02-22, rev 0x4122
    sig 0x000b06a8, pf_mask 0xe0, 2024-02-22, rev 0x4122
    sig 0x000b06e0, pf_mask 0x19, 2024-03-25, rev 0x001a, size 138240
  * Update changelog for 3.20240813.1 with new information
  * Update changelog for 3.20240514.1 with new information
  * source: update symlinks to reflect id of the latest release, 20240910

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 21 Sep 2024 16:40:07 -0300

intel-microcode (3.20240910.0ubuntu1) oracular; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20240910
    - Updated microcodes:
      sig 0x00090672, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x00090675, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x000906a3, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
      sig 0x000906a4, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
      sig 0x000a06a4, pf_mask 0xe6, 2024-06-17, rev 0x001f, size 137216
      sig 0x000b0671, pf_mask 0x32, 2024-07-18, rev 0x0129, size 215040
      sig 0x000b06a2, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06a3, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06a8, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06e0, pf_mask 0x19, 2024-03-25, rev 0x001a, size 138240
      sig 0x000b06f2, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x000b06f5, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
    - CVE-2024-23984 (INTEL-SA-01103)
    - CVE-2024-24968 (INTEL-SA-01097)
  * source: update symlinks to reflect id of the latest release, 20240910

 -- Alex Murray <alex.murray@canonical.com>  Thu, 12 Sep 2024 10:10:13 +0930

intel-microcode (3.20240813.2ubuntu2) oracular; urgency=medium

  [ Alex Murray ]
  * debian/tests/initramfs: update test for location of GenuineIntel.bin
    since in Ubuntu this lives under the early2 initramfs so test for its
    presence in any early

  [ Timo Aaltonen ]
  * tests: Modify generic kernel dep as an alternative to the original one.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Aug 2024 06:36:27 +0300

intel-microcode (3.20240813.2ubuntu1) oracular; urgency=medium

  * tests: Fix the kernel pkg name.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 17:34:29 +0300

intel-microcode (3.20240813.2) unstable; urgency=high

  * Merge changes from intel-microcode/3.20240531.1+nmu1, which were left out
    from 3.20240813.1 by an oversight, regressing merged-usr. Closes: #1060200

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 Aug 2024 11:31:32 -0300

intel-microcode (3.20240813.1) unstable; urgency=medium

  * New upstream microcode datafile 20240813 (closes: #1078742)
    - Mitigations for INTEL-SA-01083 (CVE-2024-24853)
      Incorrect behavior order in transition between executive monitor and SMI
      transfer monitor (STM) in some Intel Processors may allow a privileged
      user to potentially enable escalation of privilege via local access.
    - Mitigations for INTEL-SA-01118 (CVE-2024-25939)
      Mirrored regions with different values in 3rd Generation Intel Xeon
      Scalable Processors may allow a privileged user to potentially enable
      denial of service via local access.
    - Mitigations for INTEL-SA-01100 (CVE-2024-24980)
      Protection mechanism failure in some 3rd, 4th, and 5th Generation Intel
      Xeon Processors may allow a privileged user to potentially enable
      escalation of privilege via local access.
    - Mitigations for INTEL-SA-01038 (CVE-2023-42667)
      Improper isolation in the Intel Core Ultra Processor stream cache
      mechanism may allow an authenticated user to potentially enable
      escalation of privilege via local access.  Intel disclosed that some
      processor models were already fixed by the previous microcode update.
    - Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access.  Intel disclosed that some processor models
      were already fixed by the previous microcode update.
    - Mitigations for INTEL-SA-01079 (CVE-2024-23918)
      Potential security vulnerabilities in some Intel Xeon processors
      using Intel SGX may allow escalation of privilege.  Intel released this
      information during the full disclosure for the 20241112 update.
      Processor signatures 0x606a6 and 0x606c1.
    - Mitigations for INTEL-SA-01103 (CVE-2024-23984)
      A potential security vulnerability in the Running Average Power Limit
      (RAPL) interface for some Intel Processors may allow information
      disclosure. Intel released this information during the full disclosure
      for the 20240910 update.  Processor signatures 0x5065b, 0x606a6,
      0x606c1.
    - Fix for unspecified functional issues on several processor models
    - Fix for errata TGL068/ADL075/ICL088/... "Processor may hang during a
      microcode update".  It is not clear which processors were fixed by this
      release, or by one of the microcode updates from 2024-05.
    - Mitigations for INTEL-SA-01213 (CVE-2024-36293)
      Improper access control in the EDECCSSA user leaf function for some
      Intel Processors with Intel SGX may allow an authenticated user to
      potentially enable denial of service via local access.  Intel released
      this information during the full disclosure for the 20250211 update.
      Processor signature 0x906ec (9th Generation Intel Core processor).
  * Updated microcodes:
    sig 0x00050657, pf_mask 0xbf, 2024-03-01, rev 0x5003707, size 39936
    sig 0x0005065b, pf_mask 0xbf, 2024-04-01, rev 0x7002904, size 30720
    sig 0x000606a6, pf_mask 0x87, 2024-04-01, rev 0xd0003e7, size 308224
    sig 0x000606c1, pf_mask 0x10, 2024-04-03, rev 0x10002b0, size 300032
    sig 0x000706e5, pf_mask 0x80, 2024-02-15, rev 0x00c6, size 114688
    sig 0x000806c1, pf_mask 0x80, 2024-02-15, rev 0x00b8, size 112640
    sig 0x000806c2, pf_mask 0xc2, 2024-02-15, rev 0x0038, size 99328
    sig 0x000806d1, pf_mask 0xc2, 2024-02-15, rev 0x0052, size 104448
    sig 0x000806e9, pf_mask 0xc0, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806e9, pf_mask 0x10, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806ea, pf_mask 0xc0, 2024-02-01, rev 0x00f6, size 105472
    sig 0x000806eb, pf_mask 0xd0, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806ec, pf_mask 0x94, 2024-02-05, rev 0x00fc, size 106496
    sig 0x00090661, pf_mask 0x01, 2024-04-05, rev 0x001a, size 20480
    sig 0x000906ea, pf_mask 0x22, 2024-02-01, rev 0x00f8, size 105472
    sig 0x000906eb, pf_mask 0x02, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000906ec, pf_mask 0x22, 2024-02-01, rev 0x00f8, size 106496
    sig 0x000906ed, pf_mask 0x22, 2024-02-05, rev 0x0100, size 106496
    sig 0x000a0652, pf_mask 0x20, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0653, pf_mask 0x22, 2024-02-01, rev 0x00fc, size 98304
    sig 0x000a0655, pf_mask 0x22, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0660, pf_mask 0x80, 2024-02-01, rev 0x00fe, size 97280
    sig 0x000a0661, pf_mask 0x80, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0671, pf_mask 0x02, 2024-03-07, rev 0x0062, size 108544
    sig 0x000a06a4, pf_mask 0xe6, 2024-04-15, rev 0x001e, size 137216
  * source: update symlinks to reflect id of the latest release, 20240813
  * postinst, postrm: switch to dpkg-trigger to run update-initramfs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Aug 2024 14:41:50 -0300

intel-microcode (3.20240531.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060200)
  * Add superficial autopkgtest for initramfs hook.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 03 Jun 2024 22:45:50 +0200

intel-microcode (3.20240531.1) unstable; urgency=medium

  * New upstream microcode datafile 20240531
    * Fix unspecified functional issues on Pentium Silver N/J5xxx,
      Celeron N/J4xxx
    * Updated Microcodes:
      sig 0x000706a1, pf_mask 0x01, 2024-04-19, rev 0x0042, size 76800
  * source: update symlinks to reflect id of the latest release, 20240531

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 01 Jun 2024 11:49:47 -0300

intel-microcode (3.20240514.1) unstable; urgency=medium

  * New upstream microcode datafile 20240514 
    * Mitigations for INTEL-SA-01051 (CVE-2023-45733)
      Hardware logic contains race conditions in some Intel Processors may
      allow an authenticated user to potentially enable partial information
      disclosure via local access.
    * Mitigations for INTEL-SA-01052 (CVE-2023-46103)
      Sequence of processor instructions leads to unexpected behavior in
      Intel Core Ultra Processors may allow an authenticated user to
      potentially enable denial of service via local access.
    * Mitigations for INTEL-SA-01036 (CVE-2023-45745,  CVE-2023-47855)
      Improper input validation in some Intel TDX module software before
      version 1.5.05.46.698 may allow a privileged user to potentially enable
      escalation of privilege via local access.
    * Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access (time-travel entry, added after Intel
      released this information during the full disclosure for the 20240813
      update)
    * Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access (time-travel entry, added after Intel
      released this information during the full disclosure for the 20240813
      update).  Processor signatures 0x806f4-0x806f8, 0xb0671, 0x90672, and
      0x90675
    * Mitigations for INTEL-SA-01100 (CVE-2024-24980) for the Intel
      Protection mechanism failure in some 3rd, 4th, and 5th Generation Intel
      Xeon Processors may allow a privileged user to potentially enable
      escalation of privilege via local access (time-travel entry, added after
      Intel released this information during the full disclosure for the
      20240813 update).  Processor signatures 0xc06f1 and 0xc06f2.
    * Fix for unspecified functional issues on 4th gen and 5th gen Xeon
      Scalable, 12th, 13th and 14th gen Intel Core processors, as well as for
      Core i3 N-series processors.
    * Updated microcodes:
      sig 0x000806f8, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0, size 581632
      sig 0x000806f7, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f6, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f5, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f4, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f8, pf_mask 0x10, 2024-02-05, rev 0x2c000390, size 614400
      sig 0x000806f6, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x000806f5, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x000806f4, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x00090672, pf_mask 0x07, 2023-12-05, rev 0x0035, size 224256
      sig 0x00090675, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000b06f2, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000b06f5, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000906a3, pf_mask 0x80, 2023-12-05, rev 0x0433, size 222208
      sig 0x000906a4, pf_mask 0x80, 2023-12-05, rev 0x0433
      sig 0x000906a4, pf_mask 0x40, 2023-12-07, rev 0x0007, size 119808
      sig 0x000b0671, pf_mask 0x32, 2024-01-25, rev 0x0123, size 215040
      sig 0x000b06e0, pf_mask 0x11, 2023-12-07, rev 0x0017, size 138240
      sig 0x000c06f2, pf_mask 0x87, 2024-02-05, rev 0x21000230, size 552960
      sig 0x000c06f1, pf_mask 0x87, 2024-02-05, rev 0x21000230
  * source: update symlinks to reflect id of the latest release, 20240514

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 16 May 2024 21:40:52 -0300

intel-microcode (3.20240312.1) unstable; urgency=medium

  * New upstream microcode datafile 20240312 (closes: #1066108)
    - Mitigations for INTEL-SA-INTEL-SA-00972 (CVE-2023-39368):
      Protection mechanism failure of bus lock regulator for some Intel
      Processors may allow an unauthenticated user to potentially enable
      denial of service via network access.
    - Mitigations for INTEL-SA-INTEL-SA-00982 (CVE-2023-38575):
      Non-transparent sharing of return predictor targets between contexts in
      some Intel Processors may allow an authorized user to potentially
      enable information disclosure via local access.  Affects SGX as well.
    - Mitigations for INTEL-SA-INTEL-SA-00898 (CVE-2023-28746), aka RFDS:
      Information exposure through microarchitectural state after transient
      execution from some register files for some Intel Atom Processors and
      E-cores of Intel Core Processors may allow an authenticated user to
      potentially enable information disclosure via local access.  Enhances
      VERW instruction to clear stale register buffers.  Affects SGX as well.
      Requires kernel update to be effective.
    - Mitigations for INTEL-SA-INTEL-SA-00960 (CVE-2023-22655), aka TECRA:
      Protection mechanism failure in some 3rd and 4th Generation Intel Xeon
      Processors when using Intel SGX or Intel TDX may allow a privileged
      user to potentially enable escalation of privilege via local access.
      NOTE: effective only when loaded by firmware.  Allows SMM firmware to
      attack SGX/TDX.
    - Mitigations for INTEL-SA-INTEL-SA-01045 (CVE-2023-43490):
      Incorrect calculation in microcode keying mechanism for some Intel
      Xeon D Processors with Intel SGX may allow a privileged user to
      potentially enable information disclosure via local access.
  * Fixes for other unspecified functional issues on many processors
  * Updated microcodes:
    sig 0x00050653, pf_mask 0x97, 2023-07-28, rev 0x1000191, size 36864
    sig 0x00050656, pf_mask 0xbf, 2023-07-28, rev 0x4003605, size 38912
    sig 0x00050657, pf_mask 0xbf, 2023-07-28, rev 0x5003605, size 37888
    sig 0x0005065b, pf_mask 0xbf, 2023-08-03, rev 0x7002802, size 30720
    sig 0x00050665, pf_mask 0x10, 2023-08-03, rev 0xe000015, size 23552
    sig 0x000506f1, pf_mask 0x01, 2023-10-05, rev 0x003e, size 11264
    sig 0x000606a6, pf_mask 0x87, 2023-09-14, rev 0xd0003d1, size 307200
    sig 0x000606c1, pf_mask 0x10, 2023-12-05, rev 0x1000290, size 299008
    sig 0x000706a1, pf_mask 0x01, 2023-08-25, rev 0x0040, size 76800
    sig 0x000706a8, pf_mask 0x01, 2023-08-25, rev 0x0024, size 76800
    sig 0x000706e5, pf_mask 0x80, 2023-09-14, rev 0x00c4, size 114688
    sig 0x000806c1, pf_mask 0x80, 2023-09-13, rev 0x00b6, size 111616
    sig 0x000806c2, pf_mask 0xc2, 2023-09-13, rev 0x0036, size 98304
    sig 0x000806d1, pf_mask 0xc2, 2023-09-13, rev 0x0050, size 104448
    sig 0x000806ec, pf_mask 0x94, 2023-07-16, rev 0x00fa, size 106496
    sig 0x000806f8, pf_mask 0x87, 2024-01-03, rev 0x2b000590, size 579584
    sig 0x000806f7, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f6, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f5, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f4, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x00090661, pf_mask 0x01, 2023-09-26, rev 0x0019, size 20480
    sig 0x00090672, pf_mask 0x07, 2023-09-19, rev 0x0034, size 224256
    sig 0x00090675, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000b06f2, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000b06f5, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000906a3, pf_mask 0x80, 2023-09-19, rev 0x0432, size 222208
    sig 0x000906a4, pf_mask 0x80, 2023-09-19, rev 0x0432
    sig 0x000906c0, pf_mask 0x01, 2023-09-26, rev 0x24000026, size 20480
    sig 0x000906e9, pf_mask 0x2a, 2023-09-28, rev 0x00f8, size 108544
    sig 0x000906ea, pf_mask 0x22, 2023-07-26, rev 0x00f6, size 105472
    sig 0x000906ec, pf_mask 0x22, 2023-07-26, rev 0x00f6, size 106496
    sig 0x000906ed, pf_mask 0x22, 2023-07-27, rev 0x00fc, size 106496
    sig 0x000a0652, pf_mask 0x20, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0653, pf_mask 0x22, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0655, pf_mask 0x22, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0660, pf_mask 0x80, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0661, pf_mask 0x80, 2023-07-16, rev 0x00fa, size 96256
    sig 0x000a0671, pf_mask 0x02, 2023-09-14, rev 0x005e, size 108544
    sig 0x000b0671, pf_mask 0x32, 2023-12-14, rev 0x0122, size 215040
    sig 0x000b06a2, pf_mask 0xe0, 2023-12-07, rev 0x4121, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2023-12-07, rev 0x4121
    sig 0x000b06e0, pf_mask 0x11, 2023-09-25, rev 0x0015, size 138240
  * New microcodes:
    sig 0x000a06a4, pf_mask 0xe6, 2024-01-03, rev 0x001c, size 136192
    sig 0x000b06a8, pf_mask 0xe0, 2023-12-07, rev 0x4121, size 220160
    sig 0x000c06f2, pf_mask 0x87, 2023-11-20, rev 0x21000200, size 549888
    sig 0x000c06f1, pf_mask 0x87, 2023-11-20, rev 0x21000200
  * source: update symlinks to reflect id of the latest release, 20240312
  * changelog, debian/changelog: fix typos

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 12 Mar 2024 20:28:17 -0300

intel-microcode (3.20231114.1) unstable; urgency=medium

  * New upstream microcode datafile 20231114 (closes: #1055962)
    Mitigations for "reptar", INTEL-SA-00950 (CVE-2023-23583)
    Sequence of processor instructions leads to unexpected behavior for some
    Intel(R) Processors, may allow an authenticated user to potentially enable
    escalation of privilege and/or information disclosure and/or denial of
    service via local access.
    Note: "reptar" on 4th gen Xeon Scalable (sig 0x806f8 pfm 0x87), 12th gen
    Core mobile (sig 0x906a4 pfm 0x80), 13th gen Core desktop (sig 0xb0671 pfm
    0x01) were already mitigated by a previous microcode update.
  * Fixes for unspecified functional issues
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2023-09-01, rev 0xd0003b9, size 299008
    sig 0x000606c1, pf_mask 0x10, 2023-09-08, rev 0x1000268, size 290816
    sig 0x000706e5, pf_mask 0x80, 2023-09-03, rev 0x00c2, size 113664
    sig 0x000806c1, pf_mask 0x80, 2023-09-07, rev 0x00b4, size 111616
    sig 0x000806c2, pf_mask 0xc2, 2023-09-07, rev 0x0034, size 98304
    sig 0x000806d1, pf_mask 0xc2, 2023-09-07, rev 0x004e, size 104448
    sig 0x000806f8, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0, size 572416
    sig 0x000806f8, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f7, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f6, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f5, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f4, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f8, pf_mask 0x10, 2023-06-26, rev 0x2c000290, size 605184
    sig 0x000806f8, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f6, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f5, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f4, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x00090672, pf_mask 0x07, 2023-06-07, rev 0x0032, size 222208
    sig 0x00090672, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x00090675, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000b06f2, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000b06f5, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000906a3, pf_mask 0x80, 2023-06-07, rev 0x0430, size 220160
    sig 0x000906a3, pf_mask 0x80, 2023-06-07, rev 0x0430
    sig 0x000906a4, pf_mask 0x80, 2023-06-07, rev 0x0430
    sig 0x000906a4, pf_mask 0x40, 2023-05-05, rev 0x0005, size 117760
    sig 0x000a0671, pf_mask 0x02, 2023-09-03, rev 0x005d, size 104448
    sig 0x000b0671, pf_mask 0x32, 2023-08-29, rev 0x011d, size 210944
    sig 0x000b06a2, pf_mask 0xe0, 2023-08-30, rev 0x411c, size 216064
    sig 0x000b06a2, pf_mask 0xe0, 2023-08-30, rev 0x411c
    sig 0x000b06a3, pf_mask 0xe0, 2023-08-30, rev 0x411c
    sig 0x000b06e0, pf_mask 0x11, 2023-06-26, rev 0x0012, size 136192
  * Updated 2023-08-08 changelog entry with reptar information
  * source: update symlinks to reflect id of the latest release, 20231114

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 16 Nov 2023 08:09:43 -0300

intel-microcode (3.20230808.1) unstable; urgency=high

  * New upstream microcode datafile 20230808 (closes: #1043305)
    * Mitigations for "Downfall" INTEL-SA-00828 (CVE-2022-40982),
      INTEL-SA-00836 (CVE-2023-23908) and INTEL-SA-00837 (CVE-2022-41804)
    * Mitigations for "reptar" on a few processors, refer to the 2023-11-14
      entry for details.  This information was disclosed in 2023-11-14.
    * Updated microcodes:
      sig 0x00050653, pf_mask 0x97, 2023-03-23, rev 0x1000181, size 36864
      sig 0x00050654, pf_mask 0xb7, 2023-03-06, rev 0x2007006, size 44032
      sig 0x00050656, pf_mask 0xbf, 2023-03-17, rev 0x4003604, size 38912
      sig 0x00050657, pf_mask 0xbf, 2023-03-17, rev 0x5003604, size 38912
      sig 0x0005065b, pf_mask 0xbf, 2023-03-21, rev 0x7002703, size 30720
      sig 0x000606a6, pf_mask 0x87, 2023-03-30, rev 0xd0003a5, size 297984
      sig 0x000706e5, pf_mask 0x80, 2023-02-26, rev 0x00bc, size 113664
      sig 0x000806c1, pf_mask 0x80, 2023-02-27, rev 0x00ac, size 111616
      sig 0x000806c2, pf_mask 0xc2, 2023-02-27, rev 0x002c, size 98304
      sig 0x000806d1, pf_mask 0xc2, 2023-02-27, rev 0x0046, size 103424
      sig 0x000806e9, pf_mask 0xc0, 2023-02-22, rev 0x00f4, size 106496
      sig 0x000806e9, pf_mask 0x10, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000806ea, pf_mask 0xc0, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000806eb, pf_mask 0xd0, 2023-02-23, rev 0x00f4, size 106496
      sig 0x000806ec, pf_mask 0x94, 2023-02-26, rev 0x00f8, size 106496
      sig 0x000806f8, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1, size 572416
      sig 0x000806f7, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f6, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f5, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f4, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f8, pf_mask 0x10, 2023-05-15, rev 0x2c000271, size 605184
      sig 0x000806f6, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x000806f5, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x000806f4, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x00090672, pf_mask 0x07, 2023-04-18, rev 0x002e, size 220160
      sig 0x00090675, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000b06f2, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000b06f5, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000906a3, pf_mask 0x80, 2023-04-18, rev 0x042c, size 219136
      sig 0x000906a4, pf_mask 0x80, 2023-04-18, rev 0x042c
      sig 0x000906e9, pf_mask 0x2a, 2023-02-23, rev 0x00f4, size 108544
      sig 0x000906ea, pf_mask 0x22, 2023-02-23, rev 0x00f4, size 104448
      sig 0x000906eb, pf_mask 0x02, 2023-02-23, rev 0x00f4, size 106496
      sig 0x000906ec, pf_mask 0x22, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000906ed, pf_mask 0x22, 2023-02-27, rev 0x00fa, size 106496
      sig 0x000a0652, pf_mask 0x20, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0653, pf_mask 0x22, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0655, pf_mask 0x22, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0660, pf_mask 0x80, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0661, pf_mask 0x80, 2023-02-23, rev 0x00f8, size 96256
      sig 0x000a0671, pf_mask 0x02, 2023-02-26, rev 0x0059, size 104448
      sig 0x000b0671, pf_mask 0x32, 2023-06-06, rev 0x0119, size 210944
      sig 0x000b06a2, pf_mask 0xe0, 2023-06-06, rev 0x4119, size 216064
      sig 0x000b06a3, pf_mask 0xe0, 2023-06-06, rev 0x4119
      sig 0x000b06e0, pf_mask 0x11, 2023-04-12, rev 0x0011, size 136192
  * source: update symlinks to reflect id of the latest release, 20230808

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 08 Aug 2023 17:25:56 -0300

intel-microcode (3.20230512.1) unstable; urgency=medium

  * New upstream microcode datafile 20230512 (closes: #1036013)
    * New microcodes:
      sig 0x000906a4, pf_mask 0x40, 2022-10-12, rev 0x0004, size 115712
      sig 0x000b06e0, pf_mask 0x01, 2022-12-19, rev 0x0010, size 134144
    * Updated microcodes:
      sig 0x00050653, pf_mask 0x97, 2022-12-21, rev 0x1000171, size 36864
      sig 0x00050654, pf_mask 0xb7, 2022-12-21, rev 0x2006f05, size 44032
      sig 0x00050656, pf_mask 0xbf, 2022-12-21, rev 0x4003501, size 37888
      sig 0x00050657, pf_mask 0xbf, 2022-12-21, rev 0x5003501, size 37888
      sig 0x0005065b, pf_mask 0xbf, 2022-12-21, rev 0x7002601, size 29696
      sig 0x000606a6, pf_mask 0x87, 2022-12-28, rev 0xd000390, size 296960
      sig 0x000706e5, pf_mask 0x80, 2022-12-25, rev 0x00ba, size 113664
      sig 0x000806a1, pf_mask 0x10, 2023-01-13, rev 0x0033, size 34816
      sig 0x000806c1, pf_mask 0x80, 2022-12-28, rev 0x00aa, size 110592
      sig 0x000806c2, pf_mask 0xc2, 2022-12-28, rev 0x002a, size 97280
      sig 0x000806d1, pf_mask 0xc2, 2022-12-28, rev 0x0044, size 102400
      sig 0x000806e9, pf_mask 0xc0, 2022-12-26, rev 0x00f2, size 105472
      sig 0x000806e9, pf_mask 0x10, 2023-01-02, rev 0x00f2, size 105472
      sig 0x000806ea, pf_mask 0xc0, 2022-12-26, rev 0x00f2, size 105472
      sig 0x000806eb, pf_mask 0xd0, 2022-12-26, rev 0x00f2, size 105472
      sig 0x000806ec, pf_mask 0x94, 2022-12-26, rev 0x00f6, size 105472
      sig 0x000806f8, pf_mask 0x87, 2023-03-13, rev 0x2b000461, size 564224
      sig 0x000806f7, pf_mask 0x87, 2023-03-13, rev 0x2b000461
      sig 0x000806f6, pf_mask 0x87, 2023-03-13, rev 0x2b000461
      sig 0x000806f5, pf_mask 0x87, 2023-03-13, rev 0x2b000461
      sig 0x000806f4, pf_mask 0x87, 2023-03-13, rev 0x2b000461
      sig 0x000806f8, pf_mask 0x10, 2023-02-14, rev 0x2c0001d1, size 595968
      sig 0x000806f6, pf_mask 0x10, 2023-02-14, rev 0x2c0001d1
      sig 0x000806f5, pf_mask 0x10, 2023-02-14, rev 0x2c0001d1
      sig 0x000806f4, pf_mask 0x10, 2023-02-14, rev 0x2c0001d1
      sig 0x000906a3, pf_mask 0x80, 2023-02-14, rev 0x042a, size 218112
      sig 0x000906a4, pf_mask 0x80, 2023-02-14, rev 0x042a
      sig 0x000906e9, pf_mask 0x2a, 2022-12-26, rev 0x00f2, size 108544
      sig 0x000906ea, pf_mask 0x22, 2023-01-12, rev 0x00f2, size 104448
      sig 0x000906eb, pf_mask 0x02, 2022-12-26, rev 0x00f2, size 105472
      sig 0x000906ec, pf_mask 0x22, 2023-01-12, rev 0x00f2, size 104448
      sig 0x000906ed, pf_mask 0x22, 2023-02-05, rev 0x00f8, size 104448
      sig 0x000a0652, pf_mask 0x20, 2022-12-27, rev 0x00f6, size 96256
      sig 0x000a0653, pf_mask 0x22, 2023-01-01, rev 0x00f6, size 97280
      sig 0x000a0655, pf_mask 0x22, 2022-12-26, rev 0x00f6, size 96256
      sig 0x000a0660, pf_mask 0x80, 2022-12-26, rev 0x00f6, size 97280
      sig 0x000a0661, pf_mask 0x80, 2022-12-26, rev 0x00f6, size 96256
      sig 0x000a0671, pf_mask 0x02, 2022-12-25, rev 0x0058, size 103424
      sig 0x000b0671, pf_mask 0x32, 2023-02-06, rev 0x0113, size 207872
      sig 0x000b06a2, pf_mask 0xc0, 2023-02-22, rev 0x4112, size 212992
      sig 0x000b06a3, pf_mask 0xc0, 2023-02-22, rev 0x4112
  * source: update symlinks to reflect id of the latest release, 20230512

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 16 May 2023 00:13:02 -0300

intel-microcode (3.20230214.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream microcode datafile 20230214
    - Includes Fixes for: (Closes: #1031334)
       - INTEL-SA-00700: CVE-2022-21216
       - INTEL-SA-00730: CVE-2022-33972
       - INTEL-SA-00738: CVE-2022-33196
       - INTEL-SA-00767: CVE-2022-38090
  * New Microcodes:
    sig 0x000806f4, pf_mask 0x10, 2022-12-19, rev 0x2c000170
    sig 0x000806f4, pf_mask 0x87, 2022-12-27, rev 0x2b000181
    sig 0x000806f5, pf_mask 0x10, 2022-12-19, rev 0x2c000170
    sig 0x000806f5, pf_mask 0x87, 2022-12-27, rev 0x2b000181
    sig 0x000806f6, pf_mask 0x10, 2022-12-19, rev 0x2c000170
    sig 0x000806f6, pf_mask 0x87, 2022-12-27, rev 0x2b000181
    sig 0x000806f7, pf_mask 0x87, 2022-12-27, rev 0x2b000181
    sig 0x000806f8, pf_mask 0x10, 2022-12-19, rev 0x2c000170
    sig 0x000806f8, pf_mask 0x10, 2022-12-19, rev 0x2c000170, size 600064
    sig 0x000806f8, pf_mask 0x87, 2022-12-27, rev 0x2b000181
    sig 0x000806f8, pf_mask 0x87, 2022-12-27, rev 0x2b000181, size 561152
    sig 0x000b06a2, pf_mask 0xc0, 2022-12-08, rev 0x410e
    sig 0x000b06a2, pf_mask 0xc0, 2022-12-08, rev 0x410e, size 212992
    sig 0x000b06a3, pf_mask 0xc0, 2022-12-08, rev 0x410e
  * Updated Microcodes:
    sig 0x00050653, pf_mask 0x97, 2022-08-30, rev 0x1000161, size 36864
    sig 0x00050656, pf_mask 0xbf, 2022-08-26, rev 0x4003303, size 37888
    sig 0x00050657, pf_mask 0xbf, 2022-08-26, rev 0x5003303, size 37888
    sig 0x0005065b, pf_mask 0xbf, 2022-08-26, rev 0x7002503, size 29696
    sig 0x000606a6, pf_mask 0x87, 2022-10-09, rev 0xd000389, size 296960
    sig 0x000606c1, pf_mask 0x10, 2022-09-23, rev 0x1000211, size 289792
    sig 0x000706a1, pf_mask 0x01, 2022-09-16, rev 0x003e, size 75776
    sig 0x000706a8, pf_mask 0x01, 2022-09-20, rev 0x0022, size 76800
    sig 0x000706e5, pf_mask 0x80, 2022-08-31, rev 0x00b8, size 113664
    sig 0x000806a1, pf_mask 0x10, 2022-09-07, rev 0x0032, size 34816
    sig 0x00090672, pf_mask 0x07, 2023-01-04, rev 0x002c
    sig 0x00090672, pf_mask 0x07, 2023-01-04, rev 0x002c, size 219136
    sig 0x00090675, pf_mask 0x07, 2023-01-04, rev 0x002c
    sig 0x000906a3, pf_mask 0x80, 2023-01-11, rev 0x0429
    sig 0x000906a3, pf_mask 0x80, 2023-01-11, rev 0x0429, size 218112
    sig 0x000906a4, pf_mask 0x80, 2023-01-11, rev 0x0429
    sig 0x000906c0, pf_mask 0x01, 2022-09-02, rev 0x24000024, size 20480
    sig 0x000a0671, pf_mask 0x02, 2022-08-31, rev 0x0057, size 103424
    sig 0x000b0671, pf_mask 0x32, 2022-12-19, rev 0x0112, size 207872
    sig 0x000b06f2, pf_mask 0x07, 2023-01-04, rev 0x002c
    sig 0x000b06f5, pf_mask 0x07, 2023-01-04, rev 0x002c

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Mar 2023 18:16:50 +0100

intel-microcode (3.20221108.2) unstable; urgency=medium

  * Move source and binary from non-free/admin to non-free-firmware/admin
    following the 2022 General Resolution about non-free firmware.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2023 01:12:52 +0100

intel-microcode (3.20221108.1) unstable; urgency=medium

  * New upstream microcode datafile 20221108
    * New Microcodes:
      sig 0x000606c1, pf_mask 0x10, 2022-08-07, rev 0x1000201, size 286720
      sig 0x000b0671, pf_mask 0x32, 2022-09-07, rev 0x010e, size 204800
    * Updated Microcodes:
      sig 0x000706e5, pf_mask 0x80, 2022-08-02, rev 0x00b6, size 113664
      sig 0x000806c1, pf_mask 0x80, 2022-06-28, rev 0x00a6, size 110592
      sig 0x000806d1, pf_mask 0xc2, 2022-06-28, rev 0x0042, size 102400
      sig 0x000806ec, pf_mask 0x94, 2022-07-31, rev 0x00f4, size 105472
      sig 0x00090661, pf_mask 0x01, 2022-07-15, rev 0x0017, size 20480
      sig 0x00090672, pf_mask 0x07, 2022-09-19, rev 0x0026, size 218112
      sig 0x00090675, pf_mask 0x07, 2022-09-19, rev 0x0026
      sig 0x000b06f2, pf_mask 0x07, 2022-09-19, rev 0x0026
      sig 0x000b06f5, pf_mask 0x07, 2022-09-19, rev 0x0026
      sig 0x000906a3, pf_mask 0x80, 2022-09-19, rev 0x0424, size 217088
      sig 0x000906a4, pf_mask 0x80, 2022-09-19, rev 0x0424
      sig 0x000906ed, pf_mask 0x22, 2022-07-31, rev 0x00f4, size 104448
      sig 0x000a0652, pf_mask 0x20, 2022-07-31, rev 0x00f4, size 96256
      sig 0x000a0653, pf_mask 0x22, 2022-07-31, rev 0x00f4, size 97280
      sig 0x000a0655, pf_mask 0x22, 2022-07-31, rev 0x00f4, size 96256
      sig 0x000a0660, pf_mask 0x80, 2022-07-31, rev 0x00f4, size 97280
      sig 0x000a0661, pf_mask 0x80, 2022-07-31, rev 0x00f4, size 96256
      sig 0x000a0671, pf_mask 0x02, 2022-08-02, rev 0x0056, size 103424

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 03 Dec 2022 17:21:08 -0300

intel-microcode (3.20220809.1) unstable; urgency=medium

  * New upstream microcode datafile 20220809
    * Fixes INTEL-SA-00657, CVE-2022-21233
      Stale data from APIC leaks SGX memory (AEPIC leak)
    * Fixes unspecified errata (functional issues) on Xeon Scalable
    * Updated Microcodes:
      sig 0x00050653, pf_mask 0x97, 2022-03-14, rev 0x100015e, size 34816
      sig 0x00050654, pf_mask 0xb7, 2022-03-08, rev 0x2006e05, size 44032
      sig 0x000606a6, pf_mask 0x87, 2022-04-07, rev 0xd000375, size 293888
      sig 0x000706a1, pf_mask 0x01, 2022-03-23, rev 0x003c, size 75776
      sig 0x000706a8, pf_mask 0x01, 2022-03-23, rev 0x0020, size 75776
      sig 0x000706e5, pf_mask 0x80, 2022-03-17, rev 0x00b2, size 112640
      sig 0x000806c2, pf_mask 0xc2, 2022-03-19, rev 0x0028, size 97280
      sig 0x000806d1, pf_mask 0xc2, 2022-03-28, rev 0x0040, size 102400
      sig 0x00090672, pf_mask 0x03, 2022-06-07, rev 0x0022, size 216064
      sig 0x00090675, pf_mask 0x03, 2022-06-07, rev 0x0022, size 216064
      sig 0x000906a3, pf_mask 0x80, 2022-06-15, rev 0x0421, size 216064
      sig 0x000906a4, pf_mask 0x80, 2022-06-15, rev 0x0421, size 216064
      sig 0x000a0671, pf_mask 0x02, 2022-03-17, rev 0x0054, size 103424
      sig 0x000b06f2, pf_mask 0x03, 2022-06-07, rev 0x0022, size 216064
      sig 0x000b06f5, pf_mask 0x03, 2022-06-07, rev 0x0022, size 216064
  * source: update symlinks to reflect id of the latest release, 20220809

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 19 Aug 2022 14:21:20 -0300

intel-microcode (3.20220510.1) unstable; urgency=medium

  * New upstream microcode datafile 20220510
    * Fixes INTEL-SA-000617, CVE-2022-21151:
      Processor optimization removal or modification of security-critical
      code may allow an authenticated user to potentially enable information
      disclosure via local access (closes: #1010947)
    * Fixes several errata (functional issues) on Xeon Scalable, Atom C3000,
      Atom E3900
    * New Microcodes:
      sig 0x00090672, pf_mask 0x03, 2022-03-03, rev 0x001f, size 212992
      sig 0x00090675, pf_mask 0x03, 2022-03-03, rev 0x001f, size 212992
      sig 0x000906a3, pf_mask 0x80, 2022-03-24, rev 0x041c, size 212992
      sig 0x000906a4, pf_mask 0x80, 2022-03-24, rev 0x041c, size 212992
      sig 0x000b06f2, pf_mask 0x03, 2022-03-03, rev 0x001f, size 212992
      sig 0x000b06f5, pf_mask 0x03, 2022-03-03, rev 0x001f, size 212992
    * Updated Microcodes:
      sig 0x00030679, pf_mask 0x0f, 2019-07-10, rev 0x090d, size 52224
      sig 0x000406e3, pf_mask 0xc0, 2021-11-12, rev 0x00f0, size 106496
      sig 0x00050653, pf_mask 0x97, 2021-11-13, rev 0x100015d, size 34816
      sig 0x00050654, pf_mask 0xb7, 2021-11-13, rev 0x2006d05, size 43008
      sig 0x00050656, pf_mask 0xbf, 2021-12-10, rev 0x4003302, size 37888
      sig 0x00050657, pf_mask 0xbf, 2021-12-10, rev 0x5003302, size 37888
      sig 0x0005065b, pf_mask 0xbf, 2021-11-19, rev 0x7002501, size 29696
      sig 0x000506c9, pf_mask 0x03, 2021-11-16, rev 0x0048, size 17408
      sig 0x000506e3, pf_mask 0x36, 2021-11-12, rev 0x00f0, size 109568
      sig 0x000506f1, pf_mask 0x01, 2021-12-02, rev 0x0038, size 11264
      sig 0x000606a6, pf_mask 0x87, 2022-03-30, rev 0xd000363, size 294912
      sig 0x000706a1, pf_mask 0x01, 2021-11-22, rev 0x003a, size 75776
      sig 0x000706a8, pf_mask 0x01, 2021-11-22, rev 0x001e, size 75776
      sig 0x000706e5, pf_mask 0x80, 2022-03-09, rev 0x00b0, size 112640
      sig 0x000806a1, pf_mask 0x10, 2022-03-26, rev 0x0031, size 34816
      sig 0x000806c1, pf_mask 0x80, 2022-02-01, rev 0x00a4, size 109568
      sig 0x000806c2, pf_mask 0xc2, 2021-12-07, rev 0x0026, size 97280
      sig 0x000806d1, pf_mask 0xc2, 2021-12-07, rev 0x003e, size 102400
      sig 0x000806e9, pf_mask 0x10, 2021-11-12, rev 0x00f0, size 105472
      sig 0x000806e9, pf_mask 0xc0, 2021-11-12, rev 0x00f0, size 105472
      sig 0x000806ea, pf_mask 0xc0, 2021-11-12, rev 0x00f0, size 105472
      sig 0x000806eb, pf_mask 0xd0, 2021-11-15, rev 0x00f0, size 105472
      sig 0x000806ec, pf_mask 0x94, 2021-11-17, rev 0x00f0, size 105472
      sig 0x00090661, pf_mask 0x01, 2022-02-03, rev 0x0016, size 20480
      sig 0x000906c0, pf_mask 0x01, 2022-02-19, rev 0x24000023, size 20480
      sig 0x000906e9, pf_mask 0x2a, 2021-11-12, rev 0x00f0, size 108544
      sig 0x000906ea, pf_mask 0x22, 2021-11-15, rev 0x00f0, size 104448
      sig 0x000906eb, pf_mask 0x02, 2021-11-12, rev 0x00f0, size 105472
      sig 0x000906ec, pf_mask 0x22, 2021-11-15, rev 0x00f0, size 104448
      sig 0x000906ed, pf_mask 0x22, 2021-11-16, rev 0x00f0, size 104448
      sig 0x000a0652, pf_mask 0x20, 2021-11-16, rev 0x00f0, size 96256
      sig 0x000a0653, pf_mask 0x22, 2021-11-15, rev 0x00f0, size 97280
      sig 0x000a0655, pf_mask 0x22, 2021-11-16, rev 0x00f0, size 96256
      sig 0x000a0660, pf_mask 0x80, 2021-11-15, rev 0x00f0, size 96256
      sig 0x000a0661, pf_mask 0x80, 2021-11-16, rev 0x00f0, size 96256
      sig 0x000a0671, pf_mask 0x02, 2022-03-09, rev 0x0053, size 103424
  * source: update symlinks to reflect id of the latest release, 20220510

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 15 May 2022 20:09:05 -0300

intel-microcode (3.20220419.1) unstable; urgency=medium

  * New upstream microcode datafile 20220419
    * Fixes errata APLI-11 in Atom E3900 series processors
    * Updated Microcodes:
      sig 0x000506ca, pf_mask 0x03, 2021-11-16, rev 0x0028, size 16384
  * source: update symlinks to reflect id of the latest release, 20220419

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 21 Apr 2022 17:25:05 -0300

intel-microcode (3.20220207.1) unstable; urgency=medium

  * upstream changelog: new upstream datafile 20220207
    * Mitigates (*only* when loaded from UEFI firmware through the FIT)
      CVE-2021-0146, INTEL-SA-00528: VT-d privilege escalation through
      debug port, on Pentium, Celeron and Atom processors with signatures
      0x506c9, 0x506ca, 0x506f1, 0x706a1, 0x706a8
      https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/issues/57#issuecomment-1036363145
    * Mitigates CVE-2021-0127, INTEL-SA-00532: an unexpected code breakpoint
      may cause a system hang, on many processors.
    * Mitigates CVE-2021-0145, INTEL-SA-00561: information disclosure due
      to improper sanitization of shared resources (fast-store forward
      predictor), on many processors.
    * Mitigates CVE-2021-33120, INTEL-SA-00589: out-of-bounds read on some
      Atom Processors may allow information disclosure or denial of service
      via network access.
    * Fixes critical errata (functional issues) on many processors
    * Adds a MSR switch to enable RAPL filtering (default off, once enabled
      it can only be disabled by poweroff or reboot).  Useful to protect
      SGX and other threads from side-channel info leak.  Improves the
      mitigation for CVE-2020-8694, CVE-2020-8695, INTEL-SA-00389 on many
      processors.
    * Disables TSX in more processor models.
    * Fixes issue with WBINDV on multi-socket (server) systems which could
      cause resets and unpredictable system behavior.
    * Adds a MSR switch to 10th and 11th-gen (Ice Lake, Tiger Lake, Rocket
      Lake) processors, to control a fix for (hopefully rare) unpredictable
      processor behavior when HyperThreading is enabled.  This MSR switch
      is enabled by default on *server* processors.  On other processors,
      it needs to be explicitly enabled by an updated UEFI/BIOS (with added
      configuration logic).  An updated operating system kernel might also
      be able to enable it.  When enabled, this fix can impact performance.
    * Updated Microcodes:
      sig 0x000306f2, pf_mask 0x6f, 2021-08-11, rev 0x0049, size 38912
      sig 0x000306f4, pf_mask 0x80, 2021-05-24, rev 0x001a, size 23552
      sig 0x000406e3, pf_mask 0xc0, 2021-04-28, rev 0x00ec, size 105472
      sig 0x00050653, pf_mask 0x97, 2021-05-26, rev 0x100015c, size 34816
      sig 0x00050654, pf_mask 0xb7, 2021-06-16, rev 0x2006c0a, size 43008
      sig 0x00050656, pf_mask 0xbf, 2021-08-13, rev 0x400320a, size 35840
      sig 0x00050657, pf_mask 0xbf, 2021-08-13, rev 0x500320a, size 36864
      sig 0x0005065b, pf_mask 0xbf, 2021-06-04, rev 0x7002402, size 28672
      sig 0x00050663, pf_mask 0x10, 2021-06-12, rev 0x700001c, size 28672
      sig 0x00050664, pf_mask 0x10, 2021-06-12, rev 0xf00001a, size 27648
      sig 0x00050665, pf_mask 0x10, 2021-09-18, rev 0xe000014, size 23552
      sig 0x000506c9, pf_mask 0x03, 2021-05-10, rev 0x0046, size 17408
      sig 0x000506ca, pf_mask 0x03, 2021-05-10, rev 0x0024, size 16384
      sig 0x000506e3, pf_mask 0x36, 2021-04-29, rev 0x00ec, size 108544
      sig 0x000506f1, pf_mask 0x01, 2021-05-10, rev 0x0036, size 11264
      sig 0x000606a6, pf_mask 0x87, 2021-12-03, rev 0xd000331, size 291840
      sig 0x000706a1, pf_mask 0x01, 2021-05-10, rev 0x0038, size 74752
      sig 0x000706a8, pf_mask 0x01, 2021-05-10, rev 0x001c, size 75776
      sig 0x000706e5, pf_mask 0x80, 2021-05-26, rev 0x00a8, size 110592
      sig 0x000806a1, pf_mask 0x10, 2021-09-02, rev 0x002d, size 34816
      sig 0x000806c1, pf_mask 0x80, 2021-08-06, rev 0x009a, size 109568
      sig 0x000806c2, pf_mask 0xc2, 2021-07-16, rev 0x0022, size 96256
      sig 0x000806d1, pf_mask 0xc2, 2021-07-16, rev 0x003c, size 101376
      sig 0x000806e9, pf_mask 0x10, 2021-04-28, rev 0x00ec, size 104448
      sig 0x000806e9, pf_mask 0xc0, 2021-04-28, rev 0x00ec, size 104448
      sig 0x000806ea, pf_mask 0xc0, 2021-04-28, rev 0x00ec, size 103424
      sig 0x000806eb, pf_mask 0xd0, 2021-04-28, rev 0x00ec, size 104448
      sig 0x000806ec, pf_mask 0x94, 2021-04-28, rev 0x00ec, size 104448
      sig 0x00090661, pf_mask 0x01, 2021-09-21, rev 0x0015, size 20480
      sig 0x000906c0, pf_mask 0x01, 2021-08-09, rev 0x2400001f, size 20480
      sig 0x000906e9, pf_mask 0x2a, 2021-04-29, rev 0x00ec, size 106496
      sig 0x000906ea, pf_mask 0x22, 2021-04-28, rev 0x00ec, size 102400
      sig 0x000906eb, pf_mask 0x02, 2021-04-28, rev 0x00ec, size 104448
      sig 0x000906ec, pf_mask 0x22, 2021-04-28, rev 0x00ec, size 103424
      sig 0x000906ed, pf_mask 0x22, 2021-04-28, rev 0x00ec, size 103424
      sig 0x000a0652, pf_mask 0x20, 2021-04-28, rev 0x00ec, size 93184
      sig 0x000a0653, pf_mask 0x22, 2021-04-28, rev 0x00ec, size 94208
      sig 0x000a0655, pf_mask 0x22, 2021-04-28, rev 0x00ee, size 94208
      sig 0x000a0660, pf_mask 0x80, 2021-04-28, rev 0x00ea, size 94208
      sig 0x000a0661, pf_mask 0x80, 2021-04-29, rev 0x00ec, size 93184
      sig 0x000a0671, pf_mask 0x02, 2021-08-29, rev 0x0050, size 102400
    * Removed Microcodes:
      sig 0x00080664, pf_mask 0x01, 2021-02-17, rev 0xb00000f, size 130048
      sig 0x00080665, pf_mask 0x01, 2021-02-17, rev 0xb00000f, size 130048
  * update .gitignore and debian/.gitignore.
    Add some missing items from .gitignore and debian/.gitignore.
  * ucode-blacklist: do not late-load 0x406e3 and 0x506e3.
    When the BIOS microcode is older than revision 0x7f (and perhaps in some
    other cases as well), the latest microcode updates for 0x406e3 and
    0x506e3 must be applied using the early update method.  Otherwise, the
    system might hang.  Also: there must not be any other intermediate
    microcode update attempts [other than the one done by the BIOS itself],
    either.  It must go from the BIOS microcode update directly to the
    latest microcode update.
  * source: update symlinks to reflect id of the latest release, 20220207

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 25 Feb 2022 05:36:55 -0300

intel-microcode (3.20210608.2) unstable; urgency=high

  * Correct INTEL-SA-00442 CVE id to CVE-2020-24489 in changelog and
    debian/changelog (3.20210608.1).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 23 Jun 2021 13:42:19 -0300

intel-microcode (3.20210608.1) unstable; urgency=high

  * New upstream microcode datafile 20210608 (closes: #989615)
    * Implements mitigations for CVE-2020-24511 CVE-2020-24512
      (INTEL-SA-00464), information leakage through shared resources,
      and timing discrepancy sidechannels
    * Implements mitigations for CVE-2020-24513 (INTEL-SA-00465),
      Domain-bypass transient execution vulnerability in some Intel Atom
      Processors, affects Intel SGX.
    * Implements mitigations for CVE-2020-24489 (INTEL-SA-00442), Intel
      VT-d privilege escalation
    * Fixes critical errata on several processors
    * New Microcodes:
      sig 0x00050655, pf_mask 0xb7, 2018-11-16, rev 0x3000010, size 47104
      sig 0x000606a5, pf_mask 0x87, 2021-03-08, rev 0xc0002f0, size 283648
      sig 0x000606a6, pf_mask 0x87, 2021-04-25, rev 0xd0002a0, size 283648
      sig 0x00080664, pf_mask 0x01, 2021-02-17, rev 0xb00000f, size 130048
      sig 0x00080665, pf_mask 0x01, 2021-02-17, rev 0xb00000f, size 130048
      sig 0x000806c1, pf_mask 0x80, 2021-03-31, rev 0x0088, size 109568
      sig 0x000806c2, pf_mask 0xc2, 2021-04-07, rev 0x0016, size 94208
      sig 0x000806d1, pf_mask 0xc2, 2021-04-23, rev 0x002c, size 99328
      sig 0x00090661, pf_mask 0x01, 2021-02-04, rev 0x0011, size 19456
      sig 0x000906c0, pf_mask 0x01, 2021-03-23, rev 0x001d, size 19456
      sig 0x000a0671, pf_mask 0x02, 2021-04-11, rev 0x0040, size 100352
    * Updated Microcodes:
      sig 0x000306f2, pf_mask 0x6f, 2021-01-27, rev 0x0046, size 34816
      sig 0x000306f4, pf_mask 0x80, 2021-02-05, rev 0x0019, size 19456
      sig 0x000406e3, pf_mask 0xc0, 2021-01-25, rev 0x00ea, size 105472
      sig 0x000406f1, pf_mask 0xef, 2021-02-06, rev 0xb00003e, size 31744
      sig 0x00050653, pf_mask 0x97, 2021-03-08, rev 0x100015b, size 34816
      sig 0x00050654, pf_mask 0xb7, 2021-03-08, rev 0x2006b06, size 36864
      sig 0x00050656, pf_mask 0xbf, 2021-03-08, rev 0x4003102, size 30720
      sig 0x00050657, pf_mask 0xbf, 2021-03-08, rev 0x5003102, size 30720
      sig 0x0005065b, pf_mask 0xbf, 2021-04-23, rev 0x7002302, size 27648
      sig 0x00050663, pf_mask 0x10, 2021-02-04, rev 0x700001b, size 24576
      sig 0x00050664, pf_mask 0x10, 2021-02-04, rev 0xf000019, size 24576
      sig 0x00050665, pf_mask 0x10, 2021-02-04, rev 0xe000012, size 19456
      sig 0x000506c9, pf_mask 0x03, 2020-10-23, rev 0x0044, size 17408
      sig 0x000506ca, pf_mask 0x03, 2020-10-23, rev 0x0020, size 15360
      sig 0x000506e3, pf_mask 0x36, 2021-01-25, rev 0x00ea, size 105472
      sig 0x000506f1, pf_mask 0x01, 2020-10-23, rev 0x0034, size 11264
      sig 0x000706a1, pf_mask 0x01, 2020-10-23, rev 0x0036, size 74752
      sig 0x000706a8, pf_mask 0x01, 2020-10-23, rev 0x001a, size 75776
      sig 0x000706e5, pf_mask 0x80, 2020-11-01, rev 0x00a6, size 110592
      sig 0x000806a1, pf_mask 0x10, 2020-11-06, rev 0x002a, size 32768
      sig 0x000806e9, pf_mask 0x10, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000806e9, pf_mask 0xc0, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000806ea, pf_mask 0xc0, 2021-01-06, rev 0x00ea, size 103424
      sig 0x000806eb, pf_mask 0xd0, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000806ec, pf_mask 0x94, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000906e9, pf_mask 0x2a, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000906ea, pf_mask 0x22, 2021-01-05, rev 0x00ea, size 102400
      sig 0x000906eb, pf_mask 0x02, 2021-01-05, rev 0x00ea, size 104448
      sig 0x000906ec, pf_mask 0x22, 2021-01-05, rev 0x00ea, size 103424
      sig 0x000906ed, pf_mask 0x22, 2021-01-05, rev 0x00ea, size 103424
      sig 0x000a0652, pf_mask 0x20, 2021-02-07, rev 0x00ea, size 93184
      sig 0x000a0653, pf_mask 0x22, 2021-03-08, rev 0x00ea, size 94208
      sig 0x000a0655, pf_mask 0x22, 2021-03-08, rev 0x00ec, size 94208
      sig 0x000a0660, pf_mask 0x80, 2020-12-08, rev 0x00e8, size 94208
      sig 0x000a0661, pf_mask 0x80, 2021-02-07, rev 0x00ea, size 93184
  * source: update symlinks to reflect id of the latest release, 20210608

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 08 Jun 2021 22:37:57 -0300

intel-microcode (3.20210216.1) unstable; urgency=medium

  * New upstream microcode datafile 20210216
    * Mitigates an issue on Skylake Server (H0/M0/U0), Xeon-D 21xx,
      and Cascade Lake Server (B0/B1) when using an active JTAG
      agent like In Target Probe (ITP), Direct Connect Interface
      (DCI) or a Baseboard Management Controller (BMC) to take the
      CPU JTAG/TAP out of reset and then returning it to reset.
    * This issue is related to the INTEL-SA-00381 mitigation.
    * Updated Microcodes:
      sig 0x00050654, pf_mask 0xb7, 2020-12-31, rev 0x2006a0a, size 36864
      sig 0x00050656, pf_mask 0xbf, 2020-12-31, rev 0x4003006, size 53248
      sig 0x00050657, pf_mask 0xbf, 2020-12-31, rev 0x5003006, size 53248
  * source: update symlinks to reflect id of the latest release, 20210216

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 17 Feb 2021 11:26:06 -0300

intel-microcode (3.20201118.1) unstable; urgency=medium

  * New upstream microcode datafile 20201118
    * Removes a faulty microcode update from release 2020-11-10 for Tiger Lake
      processors.  Note that Debian already had removed this specific falty
      microcode update on the 3.20201110.1 release
    * Add a microcode update for the Pentium Silver N/J5xxx and Celeron
      N/J4xxx which didn't make it to release 20201110, fixing security issues
      (INTEL-SA-00381, INTEL-SA-00389)
    * Updated Microcodes:
      sig 0x000706a1, pf_mask 0x01, 2020-06-09, rev 0x0034, size 74752
    * Removed Microcodes:
      sig 0x000806c1, pf_mask 0x80, 2020-10-02, rev 0x0068, size 107520

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 27 Dec 2020 15:59:32 -0300

intel-microcode (3.20201110.1) unstable; urgency=medium

  * New upstream microcode datafile 20201110 (closes: #974533)
    * Implements mitigation for CVE-2020-8696 and CVE-2020-8698,
      aka INTEL-SA-00381: AVX register information leakage;
      Fast-Forward store predictor information leakage
    * Implements mitigation for CVE-2020-8695, Intel SGX information
      disclosure via RAPL, aka INTEL-SA-00389
    * Fixes critical errata on several processor models
    * Reintroduces SRBDS mitigations(CVE-2020-0543, INTEL-SA-00320)
      for Skylake-U/Y, Skylake Xeon E3
    * New Microcodes
      sig 0x0005065b, pf_mask 0xbf, 2020-08-20, rev 0x700001e, size 27648
      sig 0x000806a1, pf_mask 0x10, 2020-06-26, rev 0x0028, size 32768
      sig 0x000806c1, pf_mask 0x80, 2020-10-02, rev 0x0068, size 107520
      sig 0x000a0652, pf_mask 0x20, 2020-07-08, rev 0x00e0, size 93184
      sig 0x000a0653, pf_mask 0x22, 2020-07-08, rev 0x00e0, size 94208
      sig 0x000a0655, pf_mask 0x22, 2020-07-08, rev 0x00e0, size 93184
      sig 0x000a0661, pf_mask 0x80, 2020-07-02, rev 0x00e0, size 93184
    * Updated Microcodes
      sig 0x000306f2, pf_mask 0x6f, 2020-05-27, rev 0x0044, size 34816
      sig 0x000406e3, pf_mask 0xc0, 2020-07-14, rev 0x00e2, size 105472
      sig 0x00050653, pf_mask 0x97, 2020-06-18, rev 0x1000159, size 33792
      sig 0x00050654, pf_mask 0xb7, 2020-06-16, rev 0x2006a08, size 35840
      sig 0x00050656, pf_mask 0xbf, 2020-06-18, rev 0x4003003, size 52224
      sig 0x00050657, pf_mask 0xbf, 2020-06-18, rev 0x5003003, size 52224
      sig 0x000506c9, pf_mask 0x03, 2020-02-27, rev 0x0040, size 17408
      sig 0x000506ca, pf_mask 0x03, 2020-02-27, rev 0x001e, size 15360
      sig 0x000506e3, pf_mask 0x36, 2020-07-14, rev 0x00e2, size 105472
      sig 0x000706a8, pf_mask 0x01, 2020-06-09, rev 0x0018, size 75776
      sig 0x000706e5, pf_mask 0x80, 2020-07-30, rev 0x00a0, size 109568
      sig 0x000806e9, pf_mask 0x10, 2020-05-27, rev 0x00de, size 104448
      sig 0x000806e9, pf_mask 0xc0, 2020-05-27, rev 0x00de, size 104448
      sig 0x000806ea, pf_mask 0xc0, 2020-06-17, rev 0x00e0, size 104448
      sig 0x000806eb, pf_mask 0xd0, 2020-06-03, rev 0x00de, size 104448
      sig 0x000806ec, pf_mask 0x94, 2020-05-18, rev 0x00de, size 104448
      sig 0x000906e9, pf_mask 0x2a, 2020-05-26, rev 0x00de, size 104448
      sig 0x000906ea, pf_mask 0x22, 2020-05-25, rev 0x00de, size 103424
      sig 0x000906eb, pf_mask 0x02, 2020-05-25, rev 0x00de, size 104448
      sig 0x000906ec, pf_mask 0x22, 2020-06-03, rev 0x00de, size 103424
      sig 0x000906ed, pf_mask 0x22, 2020-05-24, rev 0x00de, size 103424
      sig 0x000a0660, pf_mask 0x80, 2020-07-08, rev 0x00e0, size 94208
  * 0x806c1: remove the new Tiger Lake update: causes hang on cold/warm boot
    https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/issues/44
    INTEL-SA-00381 AND INTEL-SA-00389 MITIGATIONS ARE THEREFORE NOT INSTALLED
    FOR 0x806c1 TIGER LAKE PROCESSORS by this package update.  Contact your
    system vendor for a firmware update, or wait fo a possible fix in a future
    Intel microcode release.
  * source: update symlinks to reflect id of the latest release, 20201110
  * source: ship new upstream documentation (security.md, releasenote.md)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 12 Nov 2020 15:03:36 -0300

intel-microcode (3.20200616.1) unstable; urgency=high

  * New upstream microcode datafile 20200616
    + Downgraded microcodes (to a previously shipped revision):
      sig 0x000406e3, pf_mask 0xc0, 2019-10-03, rev 0x00d6, size 101376
      sig 0x000506e3, pf_mask 0x36, 2019-10-03, rev 0x00d6, size 101376
  * Works around hangs on boot on Skylake-U/Y and Skylake Xeon E3,
    https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/issues/31
  * This update *removes* the SRBDS mitigations from the above processors
  * Note that Debian had already downgraded 0x406e3 in release 3.20200609.2

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 28 Jun 2020 18:38:57 -0300

intel-microcode (3.20200609.2) unstable; urgency=medium

  * REGRESSION FIX: 0x406e3: rollback to rev 0xd6 and document regression
    * Microcode rollbacks (closes: LP#1883002)
      sig 0x000406e3, pf_mask 0xc0, 2019-10-03, rev 0x00d6, size 101376
    * THIS REMOVES THE SECURITY FIXES FOR SKYLAKE-U/Y PROCESSORS
    * Avoid hangs on boot on (some?) Skylake-U/Y processors,
      https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/issues/31
  * ucode-blacklist: blacklist models 0x8e and 0x9e from late-loading,
    just in case.  Note that Debian does not do late loading by itself.
    Refer to LP#1883002 for the report, 0x806ec hangs upon late load.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 11 Jun 2020 08:55:07 -0300

intel-microcode (3.20200609.1) unstable; urgency=high

  * SECURITY UPDATE
    * For most processors: SRBDS and/or VRDS, L1DCES mitigations depending
      on the processor model
    * For Skylake HEDT and Skylake Xeons with signature 0x50654: VRDS and
      L1DCES mitigations, plus mitigations described in the changelog entry
      for package release 3.20191112.1.
    * Expect some performance impact, the mitigations are enabled by
      default.  A Linux kernel update will be issued that allows one to
      selectively disable the mitigations.
  * New upstream microcode datafile 20200609
    * Implements mitigation for CVE-2020-0543 Special Register Buffer Data
      Sampling (SRBDS), INTEL-SA-00320, CROSSTalk
    * Implements mitigation for CVE-2020-0548 Vector Register Data Sampling
      (VRDS), INTEL-SA-00329
    * Implements mitigation for CVE-2020-0549 L1D Cache Eviction Sampling
      (L1DCES), INTEL-SA-00329
    * Known to fix the regression introduced in release 2019-11-12 (sig
      0x50564, rev. 0x2000065), which would cause several systems with
      Skylake Xeon, Skylake HEDT processors to hang while rebooting
    * Updated Microcodes:
      sig 0x000306c3, pf_mask 0x32, 2019-11-12, rev 0x0028, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2019-11-12, rev 0x002f, size 19456
      sig 0x00040651, pf_mask 0x72, 2019-11-12, rev 0x0026, size 22528
      sig 0x00040661, pf_mask 0x32, 2019-11-12, rev 0x001c, size 25600
      sig 0x00040671, pf_mask 0x22, 2019-11-12, rev 0x0022, size 14336
      sig 0x000406e3, pf_mask 0xc0, 2020-04-27, rev 0x00dc, size 104448
      sig 0x00050653, pf_mask 0x97, 2020-04-24, rev 0x1000157, size 32768
      sig 0x00050654, pf_mask 0xb7, 2020-04-24, rev 0x2006906, size 34816
      sig 0x00050656, pf_mask 0xbf, 2020-04-23, rev 0x4002f01, size 52224
      sig 0x00050657, pf_mask 0xbf, 2020-04-23, rev 0x5002f01, size 52224
      sig 0x000506e3, pf_mask 0x36, 2020-04-27, rev 0x00dc, size 104448
      sig 0x000806e9, pf_mask 0x10, 2020-04-27, rev 0x00d6, size 103424
      sig 0x000806e9, pf_mask 0xc0, 2020-04-27, rev 0x00d6, size 103424
      sig 0x000806ea, pf_mask 0xc0, 2020-04-27, rev 0x00d6, size 103424
      sig 0x000806eb, pf_mask 0xd0, 2020-04-27, rev 0x00d6, size 103424
      sig 0x000806ec, pf_mask 0x94, 2020-04-23, rev 0x00d6, size 103424
      sig 0x000906e9, pf_mask 0x2a, 2020-04-23, rev 0x00d6, size 103424
      sig 0x000906ea, pf_mask 0x22, 2020-04-27, rev 0x00d6, size 102400
      sig 0x000906eb, pf_mask 0x02, 2020-04-23, rev 0x00d6, size 103424
      sig 0x000906ec, pf_mask 0x22, 2020-04-27, rev 0x00d6, size 102400
      sig 0x000906ed, pf_mask 0x22, 2020-04-23, rev 0x00d6, size 103424
  * Restores the microcode-level fixes that were reverted by release
    3.20191115.2 for sig 0x50654 (Skylake Xeon, Skylake HEDT)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 09 Jun 2020 17:16:46 -0300

intel-microcode (3.20200520.1) unstable; urgency=medium

  * New upstream microcode datafile 20200520
    + Updated Microcodes:
      sig 0x000206d6, pf_mask 0x6d, 2020-03-04, rev 0x0621, size 18432
      sig 0x000206d7, pf_mask 0x6d, 2020-03-24, rev 0x071a, size 19456

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 21 May 2020 11:44:00 -0300

intel-microcode (3.20200508.1) unstable; urgency=medium

  * New upstream microcode datafile 20200508
    + Updated Microcodes:
      sig 0x000706e5, pf_mask 0x80, 2020-03-12, rev 0x0078, size 107520
    * Likely fixes several critical errata on IceLake-U/Y causing system
      hangs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 09 May 2020 23:30:43 -0300

intel-microcode (3.20191115.2) unstable; urgency=medium

  * Microcode rollbacks (closes: #946515, LP#1854764):
    sig 0x00050654, pf_mask 0xb7, 2019-07-31, rev 0x2000064, size 33792
  * Avoids hangs on warm reboots (cold boots work fine) on HEDT and
    Xeon processors with signature 0x50654.
    https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/issues/21

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 10 Dec 2019 23:10:19 -0300

intel-microcode (3.20191115.1) unstable; urgency=high

  * New upstream microcode datafile 20191115
    + Updated Microcodes:
      sig 0x000406e3, pf_mask 0xc0, 2019-10-03, rev 0x00d6, size 101376
      sig 0x000506e3, pf_mask 0x36, 2019-10-03, rev 0x00d6, size 101376
      sig 0x000806e9, pf_mask 0x10, 2019-10-15, rev 0x00ca, size 100352
      sig 0x000806e9, pf_mask 0xc0, 2019-09-26, rev 0x00ca, size 100352
      sig 0x000806ea, pf_mask 0xc0, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000806eb, pf_mask 0xd0, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000806ec, pf_mask 0x94, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000906e9, pf_mask 0x2a, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000906ea, pf_mask 0x22, 2019-10-03, rev 0x00ca, size 99328
      sig 0x000906eb, pf_mask 0x02, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000906ec, pf_mask 0x22, 2019-10-03, rev 0x00ca, size 99328
      sig 0x000906ed, pf_mask 0x22, 2019-10-03, rev 0x00ca, size 100352
      sig 0x000a0660, pf_mask 0x80, 2019-10-03, rev 0x00ca, size 91136

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 16 Nov 2019 23:14:58 -0300

intel-microcode (3.20191113.1) unstable; urgency=high

  * New upstream microcode datafile 20191113
    + SECURITY UPDATE, refer to the 3.20191112.1 changelog entry for details
      Adds microcode update for CFL-S (Coffe Lake Desktop)
      INTEL-SA-00270, CVE-2019-11135, CVE-2019-0117
    + Updated Microcodes (previously removed):
      sig 0x000906ec, pf_mask 0x22, 2019-08-14, rev 0x00c6, size 99328

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 15 Nov 2019 00:43:54 -0300

intel-microcode (3.20191112.1) unstable; urgency=medium

  * New upstream microcode datafile 20191112
    + SECURITY UPDATE
      - Implements MDS mitigation (TSX TAA), INTEL-SA-00270, CVE-2019-11135
      - Implements TA Indirect Sharing mitigation, and improves the
        MDS mitigation (VERW)
      - Fixes FIVR (Xeon Voltage Modulation) vulnerability, INTEL-SA-00271,
        CVE-2019-11139
      - Fixes SGX vulnerabilities and errata (including CVE-2019-0117)
    + CRITICAL ERRATA FIXES
      - Fixes Jcc conditional jump macro-fusion erratum (Skylake+, except
        Ice Lake), causes a 0-3% typical perforance hit (can be as bad
        as 10%).  But ensures the processor will actually jump where it
        should, so don't even *dream* of not applying this fix.
      - Fixes AVX SHUF* instruction implementation flaw erratum
    + Removed Microcodes:
      sig 0x000906ec, pf_mask 0x22, 2019-02-14, rev 0x00ae, size 98304
    + New Microcodes:
      sig 0x000406d8, pf_mask 0x01, 2019-09-16, rev 0x012d, size 84992
      sig 0x00050656, pf_mask 0xbf, 2019-09-05, rev 0x400002c, size 51200
      sig 0x00060663, pf_mask 0x80, 2018-04-17, rev 0x002a, size 87040
      sig 0x000706a8, pf_mask 0x01, 2019-08-29, rev 0x0016, size 74752
      sig 0x000706e5, pf_mask 0x80, 2019-09-05, rev 0x0046, size 102400
      sig 0x000a0660, pf_mask 0x80, 2019-08-27, rev 0x00c6, size 91136
    + Updated Microcodes:
      sig 0x000406e3, pf_mask 0xc0, 2019-08-14, rev 0x00d4, size 101376
      sig 0x00050654, pf_mask 0xb7, 2019-09-05, rev 0x2000065, size 34816
      sig 0x00050657, pf_mask 0xbf, 2019-09-05, rev 0x500002c, size 51200
      sig 0x000506e3, pf_mask 0x36, 2019-08-14, rev 0x00d4, size 101376
      sig 0x000706a1, pf_mask 0x01, 2019-08-28, rev 0x0032, size 73728
      sig 0x000806e9, pf_mask 0x10, 2019-08-14, rev 0x00c6, size 99328
      sig 0x000806e9, pf_mask 0xc0, 2019-08-14, rev 0x00c6, size 100352
      sig 0x000806ea, pf_mask 0xc0, 2019-08-14, rev 0x00c6, size 99328
      sig 0x000806eb, pf_mask 0xd0, 2019-08-14, rev 0x00c6, size 100352
      sig 0x000806ec, pf_mask 0x94, 2019-08-14, rev 0x00c6, size 100352
      sig 0x000906e9, pf_mask 0x2a, 2019-08-14, rev 0x00c6, size 100352
      sig 0x000906ea, pf_mask 0x22, 2019-08-14, rev 0x00c6, size 99328
      sig 0x000906eb, pf_mask 0x02, 2019-08-14, rev 0x00c6, size 100352
      sig 0x000906ed, pf_mask 0x22, 2019-08-14, rev 0x00c6, size 99328
    + Updated Microcodes (previously removed):
      sig 0x00050653, pf_mask 0x97, 2019-09-09, rev 0x1000151, size 32768

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 12 Nov 2019 23:21:54 -0300

intel-microcode (3.20190918.1) unstable; urgency=medium

  * New upstream microcode datafile 20190918
    + SECURITY UPDATE
      *Might* contain mitigations for INTEL-SA-00247 (RAMBleed), given
      the set of processors being updated.
    + Updated Microcodes:
      sig 0x000306d4, pf_mask 0xc0, 2019-06-13, rev 0x002e, size 19456
      sig 0x000306f4, pf_mask 0x80, 2019-06-17, rev 0x0016, size 18432
      sig 0x00040671, pf_mask 0x22, 2019-06-13, rev 0x0021, size 14336
      sig 0x000406f1, pf_mask 0xef, 2019-06-18, rev 0xb000038, size 30720
      sig 0x00050654, pf_mask 0xb7, 2019-07-31, rev 0x2000064, size 33792
      sig 0x00050657, pf_mask 0xbf, 2019-08-12, rev 0x500002b, size 51200
      sig 0x00050662, pf_mask 0x10, 2019-06-17, rev 0x001c, size 32768
      sig 0x00050663, pf_mask 0x10, 2019-06-17, rev 0x7000019, size 24576
      sig 0x00050664, pf_mask 0x10, 2019-06-17, rev 0xf000017, size 24576
      sig 0x00050665, pf_mask 0x10, 2019-06-17, rev 0xe00000f, size 19456

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 19 Sep 2019 00:38:50 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog intel-microcode`.
